Skip to content

Get bindable MFA authentication factors

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get all MFA authentication factors that have been enabled for all applications and not yet bound by the user. The user can bind a new MFA authentication factor from the returned list.

Method name

AuthenticationClient.list_factors_to_enroll

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Request response

Type: ListFactorsToEnrollRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayMFA Factor list

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "factorType": "SMS"
  }
}

Data structure

FactorToEnrollDto

NameTypeIs it requiredDescriptionSample value
factorTypestringYesMFA Factor typeOTP

Agent infrastructure for identity, memory, and web action.